Subject: Re: bug #7269: 24.0.50; opening a file via emacsclient -c <file> moves the mouse cursor to, the top left of the frames buffer.

From: Lennart Borgman <[email-masked]>
Date: Sat, 13 Nov 2010 22:31:38 +0100

On Sat, Nov 13, 2010 at 10:25 PM, Alain Knaff <[email-masked]> wrote:
> On 11/13/2010 10:11 PM, Lennart Borgman wrote:
>> You answered privately, was that your intention?
>
> No, not really, I accidentally did a "reply" instead of a "reply-all".
> Thanks for bringing this to my attention, I re-added the bug report in
> Cc: now. Hopefully this will work...
>
>>
>> What application do you mean do not grab focus when you ask them to
>> open a file? I actually can't remember any. (Except for GIMP which
>> seems to have a bug there on w32.)
>
> Why would an application behave differently if I want them to open a
> file, than if I just want to create a new document?
>
> Well, in any case, I've never seen any application do this even when
> opening a file.
>
> I tried it with openoffice and inkscape right now, and neither of them
> did this.
>
> Neither did firefox (when trying to add the URL on the commandline), nor
> konqueror.
> (thunderbird/firefox steal focus when popping up certain alerts, but not
> on open)
>
> Can you name me just one application which steals focus when you launch
> it with a file name parameter?

As I said I know of no exception on w32. All applications I can think
of right now grabs focus when you call them from the command line (or
from Windows Explorer).

Maybe this is dependent on the window manager used?

What happens if you launch a program from the command line without a
file name argument? Does the application get focus? (On w32 they do
get focus.)